
#include <QWidget>
#include <QString>
#include <QStringList>
#include <QComboBox>
#include <QGridLayout>

#include "BacNotifyType.h"
#include "enum.bactypes.h"

BacNotifyType::BacNotifyType(QWidget *parent, int db_id, int PropId, QString label, QGridLayout *layout, int row, int col)
  : Enum(parent, db_id, PropId, label, layout, row, col) {
  SetList(QStringList() << tr("Alarm") << tr("Event") << tr("Ack-Notification"), 0);
}

BacNotifyType::BacNotifyType(QWidget *parent, int db_id, int PropId, int value, QString label, QGridLayout *layout, int row, int col)
  : Enum(parent, db_id, PropId, label, layout, row, col) {
  SetList(QStringList() << tr("Alarm") << tr("Event") << tr("Ack-Notification"), value);
}

